<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_5e9a99dc0dd49b907abf1b35e96965f" . "8" => base64_decode("dH" . "Jp" . "bQ" . "=="), "_4ca36bbc844fd9e04b91f8a" . "27c589890" => base64_decode("Z2x5cGhpY29ucyBnbHlwaGljb25zL" . "W1hcA=="), "_f1a1c12258c" . "339542b5f89c" . "a976d35f1" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgZGF0ZV9sYXN0X2FjY2Vzc2VkPWludDpkYXRlIFdIRVJFIGlkPWludDpp" . "ZA=="), "_b969b955d1" . "355379880c0" . "b97b2e4f679" => base64_decode("Y2ZnX21hcmtlcl" . "9hdXRvX2dlbmVy" . "YXRpb25fcHJlZm" . "l4"), "_7a7cffa4d53ef9ebe07145b1a" . "5bf3d85" => base64_decode("L2ludHJhbmV0L2RvY3VtZW50cy9pbWF" . "nZXMvbWFya2VyLmdpZg=="), "_bc9f5b3b" . "6a495ee55" . "ebb7158ab" . "184dc4" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQg" . "dGl0bGU9c3RyOnRpdGxlIFdIRVJF" . "IGlkPWludDppZA=="), "_aed8da0f19091214b78f803510485" . "17c" => base64_decode("c3RybGV" . "u"));
use Claromentis\Core\Services;
use Claromentis\Documents\DocumentsApplication;
use Claromentis\Search\Indexing\IndexingQueue;





class ERMSMarker extends ERMSDataObj
{
    
    
    
    
    public function __construct()
    {
        parent::__construct(DOC_TYPE_MARKER);
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Load($id, $_becefc630ea26637f10f240476e32255 = false)
    {
        $db = \Claromentis\Core\Services::I()->GetDb();
        if (!parent::Load($id, $_becefc630ea26637f10f240476e32255)) {
            return false;
        }
        $this->date_last_accessed = new Date();
        $db->unsafe_query = true;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_f1a1c12258c339542b5f89ca" . "976d35f1"], $this->GetDate($this->date_last_accessed), $id);
        return true;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_b34ab5f1ac69818b996067e04caa4631 = DocumentsApplication::getConfig();
        $_b969b955d1355379880c0b97b2e4f679 = $_b34ab5f1ac69818b996067e04caa4631->Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_b969b955d1355379880c0" . "b97b2e4f679"]);
        if (!parent::Save()) {
            return false;
        }
        if (!$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_aed8da0f19091214b78f80" . "351048517c"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5e9a99dc0dd49b907abf1b35e96965" . "f8"]($this->title)) > 0) {
            $title = $_b969b955d1355379880c0b97b2e4f679 . $this->doc_id;
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_bc9f5b3b6a495ee55ebb7158ab18" . "4dc4"], $title, $this->id);
        }
        IndexingQueue::Reindex($this->GetSearchType(), $this->doc_id);
        return true;
    }
    
    
    
    
    
    
    public function GetSmallIconUrl()
    {
        return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_7a7cffa4d53ef9ebe07145b1a" . "5bf3d85"];
    }
    
    
    
    
    
    
    public function GetSmallIconCSSClass()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4ca36bbc844fd9e" . "04b91f8a27c58989" . "0"];
    }
    protected function _NewObject()
    {
        return new ERMSMarker();
    }
}